/*----------------------------------------------- Colours*/

.nav-link {
    color: #00ccff;
}

#active {
    color: #5F6C7A;
}

.navbar {
    background:#f7ce3e;
}


li a:hover {
    color: #f7ce3e;
}

/*--------------------------------------------- General*/

body {font-size: 18px;
    font-family: "arial", sans-serif;
    margin: 0; padding: 0; overflow-x:hidden;
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

.inline-block {
    display: inline-block;
}

col-lg-12 {
           text-align:center;
}

 col-lg-4{
 display:inline-block; 
 float: none; 
}


/*--------------------------------------------- Nav bar*/

nav ul {
    
    display: block;
    font-size: 23px;
    font-weight: 700;
}

.nav-link {font-family: Helvetica, Arial, sans-serif;}

.nav-item {
    margin-left: 40px;
    position:relative;
         }

.logo {
    position: static;
    background: url("../images/rosie.jpg");
    background-position: center;
    background-repeat: no-repeat;
    margin-right:0px;
    padding-top: 10px;
    padding-left: 10px;
    min-height: 100px;
    transition: all .5s ease-in-out;
    moz-transition: all .5s ease-in-out;
    webkit-transition: all .5s ease-in-out;
    height: 10%;
    width: 25%;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color: #e84610;
    padding: 15px 15px;
   
}

nav select {
    display: none;
    background-color: #77C9D4;
    color: white;
    border: 1px solid #778899;
   position: relative;
   cursor: pointer;
   top: 100%;
  left: 0;
  right: 0;
  z-index: 99;
  width: 30px;
}

#select {color: #f7ce3e; 
    background-color: #5F6C7A;
}

.nav-link 
{ color: #0A1612;
  text-align: center;
  padding: 8px;
  margin-right: 0;
  display: block;  
  font-size:25px;
  font-weight: 500;
  padding-left: 5px;
  transition: all 0.35s ease-in-out;
  moz-transition: all 0.35s ease-in-out;
  webkit-transition: all 0.35s ease-in-out;
 -o-transition: all 0.35s ease-in-out;
    max-width:100%;
}
/*-------------------------Social links*/
nav a {color:#5F6C7A;}

nav a:hover {
    color: white;
}

/*-------------------------------------------Section*/

/*-------------------------Section Image*/

.main-image {max-width:100%;
    height:100%;
    padding-left:0;
    padding-right:0;
    position: relative;
    transform: translate(-5%, +10%);
    margin: 0;
}
 
.image-text { 
   position: absolute; 
   top: 250px; 
   left: 70%; 
   width: 100%; 
   color:#21EB7B;
   font-family: "Dancing Script"; 
   font-size: 48px; 
   font-variant: normal; 
   font-weight: 700; 
   line-height: 26.4px;
   text-shadow: 2px 2px 2px #000;
    transform: translate(-50%, -50%);
 }


/*------------------Index.html*/

/*------------------https://mycolor.space/gradient?ori=to+right+top&hex=%2395ABAA&hex2=%23F6F6F5&sub=1*/
 .section {background-image: linear-gradient(to right top, #95abaa, #aebdb8, #c8d0ca, #e0e2de, #f6f6f5);
  text-align: center;
  max-width:100%;
  overflow:hidden;
  }

.section-heading {color: #D2691E;
            text-align: center;
            margin-top:100px;
}

.section-p {padding:12px;
margin:10px;
    padding-bottom: 50px;
;
color: #708090;
text-align: center;
 max-width:100%;
 font-weight: 600;
}

.section-p-about {padding:15px;
    text-align: center;
     width:100%; 
     margin:10px;
     margin-bottom: 40px;}

.free-link {text-align: center;
    font-weight: 700;
    background-color: #5F6C7A;
    color:white;
    padding:15px;
    margin:15px;
    border-radius:15px;
    display:block;
    bottom: 5px;
    transition: background-color .3s;
    z-index: 1000;
    position: relative;
    left: 55%;
    transform: translate(-50%,-50%);
    }

.section-link {color:white;
 width:120px;
}

.section a:hover {color:#f7ce3e; 
text-decoration:none;
}

/*------------------About.html*/


/* With help from https://www.w3schools.com/css/tryit.asp?filename=trycss_transparency*/

div.transbox {
  margin: 50px;
  border-radius: 4px;
  background-color: black;
  opacity: 0.6;
  filter: alpha(opacity=60); 
  padding: 10px;
  width:100%;
  height:100%;
  position:relative;
  transform: translateY(-10%);
  border: 20px;
}


.content{margin: auto;
display: flex;
justify-content: center;
align-items: center;
resize: both;
padding-top: 0px !important;
}

div.transbox p, ol {
  margin: 10px;
  font-weight: bold;
  color: #F5F4F4;
}

.box-heading {font-weight:700;
color:#87D63E;}

/*------------------personal-training.html*/

.col-md-10 {transform: translate(+5%,0);}

.transbox-testimony {height:100%;
padding-top: 5%;
}

.highlight {color:#D2691E;
    padding:0;
    margin:0;
}

/*------------------group-trainig.html*/

iframe {margin-bottom: 40px;}

/*------------------get-in-touch.html*/
  .row {
  display: flex;
}

.column {
  flex: 50%;
}

.main-image-contact {transform: translate(-5%,0%);
width:100%;
margin:0;
    
}

.contact-box { 
 padding-top:40px;
  height:100%;
 position:relative;
 transform: translateX(-10%);
}

.box-heading {padding-top:20px;}

.btn {
  color: black;
  font-weight:700;
  padding: 15px 20px;
  border: none;
  cursor: pointer;
  background-color:#f7ce3e;
  width:50%;
}

.btn:hover {
  opacity: 1;
  background-color:#D2691E ;
  color: white;
}

.center-form {
    opacity:1;
   }

.custom-checkbox 
{margin: 15px;
color:#D2691E;}


/*--------------------------------------------- footer*/

#button {
  text-align: center;
  display: inline-block;
  background-color: #f7ce3e;
  width: 50px;
  border-radius: 4px;
  bottom: 10px;
  right: 30px;
  transition: background-color .3s;
  z-index: 1000;
  position: relative;
  left: 50%;
  transform: translate(-50%,-50%);
}

#button:hover {
  cursor: pointer;
  background-color: #333;
}
#button:active {
  background-color: #555;
}

#button::after {
  content: "\f077";
  font-family: FontAwesome;
  font-weight: normal;
  font-style: normal;
  font-size: 2em;
  line-height: 50px;
  color: #fff;
}

.footer-link 
{ color: white;
  text-align: right;
  float: none;
  padding-bottom: 10px;
  padding-right: 30px;
  padding-top:10px;
  font-size:25px;
  font-weight: 500;
  padding-left: 5px;
  transition: all 0.35s ease-in-out;
  -moz-transition: all 0.35s ease-in-out;
  -webkit-transition: all 0.35s ease-in-out;
  -o-transition: all 0.35s ease-in-out;
}

footer a {color:white;}

 footer  a:hover {
    color: #f7ce3e;
}

.text-footer {float: left; 
padding-bottom: 5px; 
text-align: left;
}

#footer { 
    min-height: 120px;
    margin: 0;
    padding: 15px;
    max-width:100%;}

/*------------- Responsive design*/

/* Extra small devices (phones, 600px and down) */
    

@media only screen and (max-width:600px) {

/*------------------------------------- Changing the menu to a select bar for smaller screens*/
  
nav select {
   display: inline-block;
   width: 55%;
   height: 25%;
   border-radius: 4px; 
   }
   
.nav-item {
   display: none;
    }
   
.logo {
    height: 80%;
    }
    
.column {
    width: 100%;
  }
  
.navbar {position: relative;}
  
.text-footer {margin-top: 30px;}

.timetable-link {
    transform: translate(-50%, 0);
    margin-top: 40px;}
    

.logo {
    height: 80%;
    }

.column {
    width: 100%;
    height:100%;
  }
  
.navbar {
    position: relative;}
  
.main-image img {
    display:none;}
  
.image-text {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, 60%);}

footer #button 
    {position:relative;
   top:-150%;
}


  
section img {display:none;}

.box
    { transform: translate(-15%, 0);
    padding:10px;
}

.free-link 
    { transform: translate(-70%, 0);
    margin:40px;
}

.timetable-link 
    { transform: translate(-65%, 0);
      margin:30px;
}


.contact-box{
    margin: 10px;
    padding-top: 10px;
    transform: translate(-15%, -20%);
}

.transbox-testimony {display:none;}
 

}
 

/* Medium devices (landscape tablets, 768px and up) */

@media only screen and (min-width: 768px){
    
.section-p-about {  transform: translate(25%, 0);}

.timetable-link 
    {margin:300px;
    margin-top:50px;
    width: 50%;
}

iframe 
    {margin-left: 50px;}

.box 
    { margin:30px;
    padding:10px;
}


 iframe, .box 
     {transform: translate(-5%, 0);}
 

 .free-link 
     {transform: translate(-70%, -10%);}
     
     .dropdown {display:none;}
} 
 
@media only screen and (max-width: 768px){

.navbar     
    {position:relative;}

.main-image
    {transform: translate(-6%, -4%);
}

 .contact-box { 
 padding-top:200px;}
    
.timetable-link 
    {transform: translate(-200%, -10%);}

.main-image-contact 
    {display:none;}

.transbox 
    {margin-top:10px;
    width:100%;
}

.section-p-about 
    {padding:10px;
    margin-bottom: 100px;
}

.dropdown {display:none;}
}

/* Large devices (laptops/desktops, 992px and up) */

@media only screen and (max-width: 992px) {


}

/* Medium/large devices  (Ipad Pro, 1024px and up) */

@media only screen and (max-width: 1024px) {
 
.main-image-contact 
    {display:none;}

.contact-box{
    margin:180px;
    transform: translate(-15%, 0%);
    padding:40px;
}


.dropdown {display:none;}
}

/* Extra large devices (large laptops and desktops, 1200px and up) */

@media only screen and (min-width: 1200px) {
 
 .timetable-link 
     {transform: translate(-130%, -10%);}


.transbox 
    {transform: translate(10%, 0);}

.contact-box { 
     padding-top:30px;
      height:100%;
     position:relative;
     transform: translateX(-10%);
     column-span: all;
    margin-bottom: 0;
    margin-top:0;
    float:right;
}

.dropdown {display:none;}

}








